org.eclipse.aether.util.filter

## Class ScopeDependencyFilter

- java.lang.Object
- - org.eclipse.aether.util.filter.ScopeDependencyFilter

- All Implemented Interfaces:
    DependencyFilter

      public final class ScopeDependencyFilter
      extends Object
      implements DependencyFilter

  A dependency filter based on dependency scopes. Note: This filter does not assume any relationships between the scopes. In particular, the filter is not aware of scopes that logically include other scopes.
  See Also:
    `Dependency.getScope()`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScopeDependencyFilter(Collection<String> included, Collection<String> excluded)` Creates a new filter using the specified includes and excludes.
    `ScopeDependencyFilter(String... excluded)` Creates a new filter using the specified excludes.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(DependencyNode node, List<DependencyNode> parents)` Indicates whether the specified dependency node shall be included or excluded.
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScopeDependencyFilter

          public ScopeDependencyFilter(Collection<String> included,
                               Collection<String> excluded)

      Creates a new filter using the specified includes and excludes.
      Parameters:
        `included` - The set of scopes to include, may be `null` or empty to include any scope.
        `excluded` - The set of scopes to exclude, may be `null` or empty to exclude no scope.

    - #### ScopeDependencyFilter

          public ScopeDependencyFilter(String... excluded)

      Creates a new filter using the specified excludes.
      Parameters:
        `excluded` - The set of scopes to exclude, may be `null` or empty to exclude no scope.

  - ### Method Detail

    - #### accept

          public boolean accept(DependencyNode node,
                       List<DependencyNode> parents)

      Description copied from interface: `DependencyFilter`
      Indicates whether the specified dependency node shall be included or excluded.
      Specified by:
        `accept` in interface `DependencyFilter`
      Parameters:
        `node` - The dependency node to filter, must not be `null`.
        `parents` - The (read-only) chain of parent nodes that leads to the node to be filtered, must not be `null`. Iterating this (possibly empty) list walks up the dependency graph towards the root node, i.e. the immediate parent node (if any) is the first node in the list. The size of the list also denotes the zero-based depth of the filtered node.
      Returns:
        `true` to include the dependency node, `false` to exclude it.

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.